POST api/Ho/AddUpdateFeedBackItems
Request Information
URI Parameters
None.
Body Parameters
FeedbackItem| Name | Description | Type | Additional information |
|---|---|---|---|
| FeedBackId | integer |
None. |
|
| FeedBackItemId | integer |
None. |
|
| ReceiveItemId | integer |
None. |
|
| ReceiveItemsDId | integer |
None. |
|
| DispatchId | integer |
None. |
|
| TpoId | integer |
None. |
|
| FpoId | integer |
None. |
|
| DistributorId | integer |
None. |
|
| TpoNo | string |
None. |
|
| FpoNo | string |
None. |
|
| ItemId | integer |
None. |
|
| Unit | string |
None. |
|
| SKU | string |
None. |
|
| Quantity | integer |
None. |
|
| RejectedQuantity | integer |
None. |
|
| Amount | decimal number |
None. |
|
| TotalAmount | decimal number |
None. |
|
| FeedbackItemRemark | string |
None. |
|
| Status | boolean |
None. |
|
| NetAmount | decimal number |
None. |
|
| GST | decimal number |
None. |
|
| Shift | string |
None. |
|
| IsDispatch | boolean |
None. |
|
| CurrentUserId | integer |
None. |
|
| ItemName | string |
None. |
|
| ItemCode | string |
None. |
|
| Photo | string |
None. |
|
| TotalGSTAmount | decimal number |
None. |
|
| GSTPerItem | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedBackId": 1,
"feedBackItemId": 2,
"receiveItemId": 3,
"receiveItemsDId": 4,
"dispatchId": 5,
"tpoId": 6,
"fpoId": 7,
"distributorId": 8,
"tpoNo": "sample string 9",
"fpoNo": "sample string 10",
"itemId": 11,
"unit": "sample string 12",
"sku": "sample string 13",
"quantity": 14,
"rejectedQuantity": 15,
"amount": 16.0,
"totalAmount": 17.0,
"feedbackItemRemark": "sample string 18",
"status": true,
"netAmount": 20.0,
"gst": 21.0,
"shift": "sample string 22",
"isDispatch": true,
"currentUserId": 24,
"itemName": "sample string 25",
"itemCode": "sample string 26",
"photo": "sample string 27",
"totalGSTAmount": 28.0,
"gstPerItem": 29.0
}
application/xml, text/xml
Sample:
<FeedbackItem xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities"> <Amount>16</Amount> <CurrentUserId>24</CurrentUserId> <DispatchId>5</DispatchId> <DistributorId>8</DistributorId> <FeedBackId>1</FeedBackId> <FeedBackItemId>2</FeedBackItemId> <FeedbackItemRemark>sample string 18</FeedbackItemRemark> <FpoId>7</FpoId> <FpoNo>sample string 10</FpoNo> <GST>21</GST> <GSTPerItem>29</GSTPerItem> <IsDispatch>true</IsDispatch> <ItemCode>sample string 26</ItemCode> <ItemId>11</ItemId> <ItemName>sample string 25</ItemName> <NetAmount>20</NetAmount> <Photo>sample string 27</Photo> <Quantity>14</Quantity> <ReceiveItemId>3</ReceiveItemId> <ReceiveItemsDId>4</ReceiveItemsDId> <RejectedQuantity>15</RejectedQuantity> <SKU>sample string 13</SKU> <Shift>sample string 22</Shift> <Status>true</Status> <TotalAmount>17</TotalAmount> <TotalGSTAmount>28</TotalGSTAmount> <TpoId>6</TpoId> <TpoNo>sample string 9</TpoNo> <Unit>sample string 12</Unit> </FeedbackItem>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
integerResponse Formats
application/json, text/json
Sample:
1
application/xml, text/xml
Sample:
<long xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1</long>